import { EventEmitter, AfterContentInit, ElementRef, Renderer2 } from '@angular/core';
import { PipFabSpeedDialActionsComponent } from './fab-speed-dial-actions.component';
import * as i0 from "@angular/core";
export declare class PipFabSpeedDialComponent implements AfterContentInit {
    private elementRef;
    private renderer;
    private isInitialized;
    private _direction;
    private _open;
    private _animationMode;
    /**
     * Whether this speed dial is fixed on screen (user cannot change it by clicking)
     */
    fixed: boolean;
    /**
     * Whether this speed dial is opened
     */
    get open(): boolean;
    set open(open: boolean);
    /**
     * The direction of the speed dial. Can be 'up', 'down', 'left' or 'right'
     */
    get direction(): string;
    set direction(direction: string);
    /**
     * The animation mode to open the speed dial. Can be 'fling' or 'scale'
     */
    get animationMode(): string;
    set animationMode(animationMode: string);
    openChange: EventEmitter<boolean>;
    klass: boolean;
    _childActions: PipFabSpeedDialActionsComponent;
    constructor(elementRef: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    /**
     * Toggle the open state of this speed dial
     */
    toggle(): void;
    _onClick(): void;
    setActionsVisibility(): void;
    private _setElementClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<PipFabSpeedDialComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PipFabSpeedDialComponent, "pip-fab-speed-dial", never, { "fixed": "fixed"; "open": "open"; "direction": "direction"; "animationMode": "animationMode"; }, { "openChange": "openChange"; }, ["_childActions"], ["pip-fab-trigger", "pip-fab-actions"], false>;
}
